3 Replies Latest reply on Dec 18, 2008 7:34 PM by ~graffiti

    Which Reader upgrade for Mac OS 10.4.10?

      System requirements page says correct version is Reader 7.1.0.
      But when I try to choose appropriate version toggle for Mac Power PC with 10.4.10, I am given only the option to download Reader 8.1.3, which says it is for 10.4.3 to 10.4.10. Yet on system requirements page, 8.1.3 is shown as appropriate for OS 10.4.11 and up.
      This conflict seems impossible. Which should I choose?
      I have a Mac iBook Power PC G4 with 512 MB memory